%define srcname gevent

Name:		python-%{srcname}
Version:	0.13.8
Release:	%mkrel 2
Summary:	A coroutine-based Python networking library
License:	MIT
Group:		Development/Python
Url:		http://www.gevent.org/
Source0:	http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:	glibc-devel
BuildRequires:	%{_lib}python-devel
BuildRequires:	pkgconfig(libevent)
BuildRequires:  %{_lib}python3-devel

Requires:   python-greenlet
Requires:   python3-greenlet

%description
Gevent is a coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of the libevent event loop.

%package -n python3-%{srcname}
Summary: A coroutine-based Python3 networking library

%description -n python3-%{srcname}
Gevent is a coroutine-based Python3 networking library that uses greenlet to
provide a high-level synchronous API on top of the libevent event loop.

%prep
%setup -q -n %{srcname}-%{version}
# Portability issues handled
perl -pi -e "s/print "\(.*\)"$/print("$1")/" setup.py gevent/*.py
perl -pi -e 's/except ([^:]+):/except ($1):/' gevent/*.py
perl -pi -e 's/exec (.*)$/exec($1)/' gevent/*.py
perl -pi -e 's/^(\s*)raise (.*)$/$1raise($2)/' gevent/pywsgi.py
cp -a . %{py3dir}

%build
%{__python}  setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} 
popd
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%{python_sitearch}/%{srcname}*

%files -n python3-%{srcname}
%{python3_sitearch}/%{srcname}*


%changelog
* Sun Jan 11 2015 pinoc <vogtpet at gmail.com> 0.13.8-2pclos2015
- rebuild on python 3.4.2

* Tue Sep 23 2014 pinoc <vogtpet at gmail.com> 0.13.8-1pclos2014
- imported package
